* {
  box-sizing: border-box;
}

html {
  font-size: 62.5%;
}

.App {
  text-align: center;
}

.App-logo {
  height: 40vmin;
  pointer-events: none;
}

@media (prefers-reduced-motion: no-preference) {
  .App-logo {
    animation: App-logo-spin infinite 20s linear;
  }
}

.App-header {
  background-color: #282c34;
  min-height: 100vh;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  font-size: calc(10px + 2vmin);
  color: white;
}

.App-link {
  color: #61dafb;
}

@keyframes App-logo-spin {
  from {
    transform: rotate(0deg);
  }
  to {
    transform: rotate(360deg);
  }
}

.float-container {
  border: 3px solid #fff;
  padding: 20px;
}

.float-selected {
  width: 25%;
  float: left;
  padding: 20px;
}  

.float-characters {
  width: 75%;
  float: left;
  padding: 20px;
} 

.character-card {
  display: inline-block;
  height: 230px;
  width: 150px;
  border: 1px solid #DDD;
  border-radius: 10px;
  overflow: hidden;
  vertical-align: top;
  margin: 5px;
  box-shadow: 1px 1px 3px rgba(0,0,0,0.05);
}

.character-card-image {
  max-width: 100%;
  max-height: 100%;
}

.character-card-title {
  font-size: 1.5rem;
  margin: 0;
}

.character-selected-card {
  display: inline-block;
  height: 470px;
  width: 300px;
  border: 1px solid #DDD;
  border-radius: 10px;
  overflow: hidden;
  vertical-align: top;
  margin: 5px;
  box-shadow: 1px 1px 3px rgba(0,0,0,0.05);
}

.character-card-content {
  font-family: Arial, 'Helvetica Neue', Helvetica, sans-serif;
  padding: 15px;
}

.character-card-content-title {
  font-size: 2rem;
  margin: 0;
}

.character-card-content-text {
  font-size: 1.2rem;
  line-height: 2rem;
}

.character-card-content-info {
  list-style-type: none;
  padding: 0; 
}

.pagination {   
  display: inline-block;
}

.pagination > .btn:not(:last-child) {
  margin-right: 10px;
}

.btn {
  background-color: #4CAF50; /* Green */
  border: none;
  color: white;
  padding: 15px 32px;
  text-align: center;
  text-decoration: none;
  display: inline-block;
  font-size: 16px;
}

.topnav {
  overflow: hidden;
  
}

.search {
  width: 45%;
  border-radius: 25px;
  padding: 20px 5px;
  margin-right: 10px;
}

form {
  width: 400px;
  margin: auto;
  margin-top: 10px;
}